proc FindProj {startDir} {

	global Obj_Proj

	show-status "WAIT PLEASE : Scan for Project" main-status

	set i 0 ; set list {}
	foreach file [glob $startDir/*.fpw] {
		if [file isdirectory $file] {
			incr i
			lappend list [file tail $file]
			show-status "Number of Proj : $i" proj-status
		}
	}
	
	set list [lsort -ascii $list]

	set Obj_Proj(number) [llength $list]
	set i 0
	foreach proj $list {
		incr i
		set Obj_Proj($i) $proj
	}

	show-status "Ready..." main-status
}

proc FindLib {startDir} {

	global Obj_Lib Obj_Dir icount list

	show-status "WAIT PLEASE : Scan for Lib" main-status

	set icount 0 ; set list {}
	FindLib_recursive $startDir
	set list [lsort -ascii $list]

	set Obj_Lib(number) [llength $list]
	set i 0
	foreach lib $list {
		incr i
		set Obj_Lib($i) $lib
	}

	show-status "Ready..." main-status
}

proc FindLib_recursive {startDir} {
	global Obj_Lib Obj_Dir icount list Glob_Pref

	set pwd [pwd]
	if [catch {cd $startDir} err] {
		PRINT " proc FindLib_recursive : $err"
		return
	}
	set list_files [glob  -nocomplain -- $startDir/*]
	foreach file $list_files {
		if [file isdirectory $file] {
			if ![catch {glob $file/*.$Glob_Pref(FortranExt)}] {
				incr icount
				regsub ^$Obj_Dir(Lib)/ $file {} libname
				lappend list $libname
				show-status "Number of Lib : $icount" lib-status
			}
			FindLib_recursive $file
		}
	}
	cd $pwd
}
